org.apache.commons.math3.analysis.differentiation

## Interface MultivariateDifferentiableVectorFunction

All Superinterfaces:
  MultivariateVectorFunction

All Known Implementing Classes:
  CurveFitter.TheoreticalValuesFunction

    public interface MultivariateDifferentiableVectorFunction
    extends MultivariateVectorFunction

Extension of `MultivariateVectorFunction` representing a multivariate differentiable vectorial function.

Since:
  3.1
Version:
  $Id: MultivariateDifferentiableVectorFunction.java 1416643 2012-12-03 19:37:14Z tn $

### Method Summary

Methods
`DerivativeStructure[]` `value(DerivativeStructure[] point)` Compute the value for the function at the given point.

### Methods inherited from interface org.apache.commons.math3.analysis.MultivariateVectorFunction

`value`

### Method Detail

#### value

    DerivativeStructure[] value(DerivativeStructure[] point)
                                throws MathIllegalArgumentException

Compute the value for the function at the given point.

Parameters:
  `point` - point at which the function must be evaluated
Returns:
  function value for the given point
Throws:
  `MathIllegalArgumentException` - if `point` does not fulfill functions constraints (wrong dimension, argument out of bound, or unsupported derivative order for example)